#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <unistd.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>
#include <algorithm>

#define BUFSIZE 1024
#define GPSPORT 4400

struct llpoint {
	double          time;
	double          lat;
	double          lon;
	double          numsats;
	double          hdop;
	double          sealv;
	double          height;
	double          speed;
	int             fix;
	int             checksum;
	char            latNW;
	char            lonSE;
	char            sealvM;
	char            valid;
};

int connectGPS(const char *, int); // Connecting into GPS
void parsing_send();             // Parsing GPS data
void parsing_GPS_data_info(int);   // Get GPS data
void *gps_thread(void *);		// GPS Thread

