class AccidentsController < ApplicationController
  def index
    @accidents = Accident.find(:all, :order => 'accident_time DESC')
    
    respond_to do |wants|
      wants.html
    end
  end
	
  def show
    @accident = Accident.find(params[:id])
    
    respond_to do |wants|
      wants.html
    end
  end
  	
  def search
		respond_to do |wants|
			wants.html
		end
  end
  
  def search_result
   	@lati = params[:txtlati].to_f
  	@alti	= params[:txtlongi].to_f
  	
  	@accidents = Accident.find(:all, :conditions => 
  						['lati >= ? AND lati <= ? AND alti >= ? AND alti <= ?', @lati - 0.005, @lati + 0.005, @alti - 0.005, @alti + 0.005])
  	
  	respond_to do |wants|
  		wants.html
  		wants.xml { render :layout => false }
  	end
  end
  
  def logs
  	@accident = Accident.find(params[:id])
  	
  	respond_to do |wants|
  		wants.html
  		wants.xml { render :layouy => false }
  	end
  end
end
