class CreateAccidentLogs < ActiveRecord::Migration
  def self.up
    create_table :accident_logs do |t|
      t.references :accident
      t.column :lati, :double
      t.column :alti, :double
      t.string :accel_x
      t.string :accel_y
      t.string :accel_z
      t.float :speed
      t.datetime :accident_time
      t.timestamps
    end
  end

  def self.down
    drop_table :accident_logs
  end
end
